module Glib_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libgio
const libgio_path = "/usr/lib/libgio-2.0.so.0"
libgio_handle = C_NULL
get_libgio_path() = libgio_path
const libgio = "libgio-2.0.so.0"
export libglib
const libglib_path = "/usr/lib/libglib-2.0.so.0"
libglib_handle = C_NULL
get_libglib_path() = libglib_path
const libglib = "libglib-2.0.so.0"
export libgmodule
const libgmodule_path = "/usr/lib/libgmodule-2.0.so.0"
libgmodule_handle = C_NULL
get_libgmodule_path() = libgmodule_path
const libgmodule = "libgmodule-2.0.so.0"
export libgobject
const libgobject_path = "/usr/lib/libgobject-2.0.so.0"
libgobject_handle = C_NULL
get_libgobject_path() = libgobject_path
const libgobject = "libgobject-2.0.so.0"
export libgthread
const libgthread_path = "/usr/lib/libgthread-2.0.so.0"
libgthread_handle = C_NULL
get_libgthread_path() = libgthread_path
const libgthread = "libgthread-2.0.so.0"
export libgirepository
const libgirepository_path = "/usr/lib/libgirepository-2.0.so.0"
libgirepository_handle = C_NULL
get_libgirepository_path() = libgirepository_path
const libgirepository = "libgirepository-2.0.so.0"
function __init__()
    global libgio_handle = dlopen(libgio_path)
    global libglib_handle = dlopen(libglib_path)
    global libgmodule_handle = dlopen(libgmodule_path)
    global libgobject_handle = dlopen(libgobject_path)
    global libgthread_handle = dlopen(libgthread_path)
    global libgirepository_handle = dlopen(libgirepository_path)
end
end
